%global debug_package %{nil}

Name:           zinnia-tomoe
Version:        0.6.0.20080911
Release:        3%{?dist}
Summary:        Online hand recognition system with machine learning

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://zinnia.sourceforget.net
Source0:        http://downloads.sourceforge.net/project/zinnia/zinnia-tomoe/0.6.0-20080911/%{name}-0.6.0-20080911.tar.bz2
Patch0:         zinnia-tomoe-fixes-makefile.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  zinnia-utils
BuildRequires:  autoconf, automake

%description
Zinnia provides a simple, customizable, and portable dynamic OCR
system for hand-written input, based on Support Vector Machines.

Zinnia simply receives user pen strokes as coordinate data and outputs
the best matching characters sorted by SVM confidence. To maintain
portability, it has no rendering functionality. In addition to
recognition, Zinnia provides a training module capable of creating
highly efficient handwriting recognition models.

This package contains the shared models.

%prep
%setup -q -n %{name}-0.6.0-20080911
%patch0 -p1

%build
aclocal -I .
automake --add-missing
autoconf
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README AUTHORS COPYING 
%dir %{_libdir}/zinnia/model/tomoe/
%{_libdir}/zinnia/model/tomoe/handwriting-ja.model
%{_libdir}/zinnia/model/tomoe/handwriting-zh_CN.model

%changelog
* Thu Mar 25 2010  Peng Wu <pwu@redhat.com> - 0.6.0.20080911-3
- Fixes license field and skip debuginfo rpm.

* Mon Mar 22 2010  Peng Wu <pwu@redhat.com> - 0.6.0.20080911-2
- Rebuild the package as arch-dependent.

* Fri Mar 19 2010  Peng Wu <pwu@redhat.com> - 0.6.0.20080911-1
- The first version.
